var stgInfo = {
    width: 6400,
    height: 480,
    background: "back2.png",
    //waterLevel: 240,
    //BGM: "S02.mp3",
};

var stgObjects = {

    //地面ブロック
    b : {base:BlockClass,args:'concrete.png'},
    //坂ブロック
    //45LU
    p : {base:SlopeBlockClass,args:['concrete2.png',0,31]},
    z : {base:SlopeBlockClass,args:['window.png',500,500]},
    Z : {base:SlopeBlockClass,args:['window.png',0,0]},
    B : {base:SlopeBlockClass,args:['stair2.png',600,600]},
    C : {base:BlockClass,args:'stair3.png'},
    //45RU
    q : {base:SlopeBlockClass,args:['concrete1.png',31,0]},
    //half
    r : {base:SlopeBlockClass,args:['concrete3.png',15,15]},
    //slopeLUU
    s : {base:SlopeBlockClass,args:['concrete4.png',0,18]},
    E:  {base:EnemyCharacterClass_Apache,args:'null'},
    //slopeRUU
    t : {base:SlopeBlockClass,args:['concrete5.png',18,0]},
    //slopeLUD
    u : {base:SlopeBlockClass,args:['concrete6.png',15,31]},
    //slopeRUD
    v : {base:SlopeBlockClass,args:['concrete7.png',31,15]},
    A : {base:SlopeBlockClass,args:['stair.png',31,1],prop:{forceTopMost:true}},
    D : {base:SlopeBlockClass,args:['1138.png',31,31]},
    
    //道路
    w: {base:SlopeBlockClass,args:['road.png',18,18]},
    W: {base:HiddenBlockClass,args:'concrete.png',prop:{collidingMask:CollideTop,collidingExcludeMask:(CollideBottom)}},
  
    
    //灰色当たり判定なし
    k : {base:BlockClass,args:'1138.png',prop:{isPhantom:true}},
    
    //当たり判定なしコンクリート
    g : {base:BlockClass,args:'concrete.png',prop:{isPhantom:true}},
    //窓ガラス当たり判定なし
    j : {base:BlockClass,args:'1137.png',prop:{isPhantom:true}},
    
    //隠しブロック
    //下から当たったときのみ出現
    f : {base:HiddenBlockClass,args:'leaves.png', prop:{collidingMask:CollideBottom, collidingExcludeMask:(CollideBody)}},
    //左から当たったときのみ出現
    H : {base:HiddenBlockClass,args:'warning.png', prop:{collidingMask:CollideRight, collidingExcludeMask:(CollideBody),forceTopMost:true}},
    h : {base:HiddenBlockClass,args:'warning.png', prop:{collidingMask:CollideLeft, collidingExcludeMask:(CollideBody),forceTopMost:true}},
    //アイテム
    i :  {base:RandomIngredientItemClass,args:[],prop:{debugMode:true}},
    
    //通常ブロック
    o : {base:BlockClass,args:'1190.png',prop:{isPhantom:true}},
    
    //木の幹当たり判定なし
    a : {base:BlockClass,args:'1214.png',prop:{isPhantom:true}},
    //葉っぱ
    c : {base:BlockClass,args:'leaves.png'},
    //葉っぱ当たり判定なし
    d : {base:BlockClass,args:['leavesedge1.png',0,18],prop:{isPhantom:true}},
    e : {base:BlockClass,args:['leavesedge2.png',18,0],prop:{isPhantom:true}},
    
    //金属はしご
    x: {base:LadderBlockClass,args:['metalladder.png']},
    
    y: {base:BakingOvenObjectClass,args:[]},
    

    _ : null,
};

function callback_test(){
	
}

with(stgObjects){
	var tbl = [
		[_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_, , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , ,H,z,k,k,k,k,k,k,k,k,k,b, , , , , , , , ,_, , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , ],
		[_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_, , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , ,H,z,k,i,k,k,k,k,k,k,k,b, , , , , , , , ,_,_,b,s,r,r,r,r,r,r,r,r,r,t,b, , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , ,_, , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , ],
		[_,_,_,_,_,_,_,_,_,_,_,_,g,b,b,b,b,b,b,_,_,_,_,_,_,_,_,_,_,_,_,_, , , , , , , , , , , , , , , , , , , , , , , ,d,c,e, , , , ,c,e, , , , , , , , , , ,r, , , , , ,r, , ,b,b,k,k,k,k,k,k,k,k,k,z, , , , , , , , ,_,_,z,k,k,k,k,k,k,k,k,k,k,k,z, , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , ,_, , , , , , , , , , , , , , , , , , ,_, , , , , , , , , , , , , , ],
		[_,_,_,_,_,_,_,_,_,_,_,_,g,j,k,j,k,j,g,_,_,_,_,d,c,e,_,_,_,_,d,c,e, , , , ,d,c,e, , , , , , , , , , , , , , , ,d,c,e, , , ,d,c,c,e, , , ,_,_, , , , ,b,b,b,b,b,b,b, , , ,b,b,b,b,b,b,g,g,g,g,z, , , , , , , , ,_,_,z,k,k,k,k,k,k,k,k,k,k,k,z, , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , ],
		[_,_,_,_,_,_,_,_,_,_,_,_,g,k,k,k,k,k,b,_,_,_,d,c,c,c,e,_,_,d,c,c,c,e, , ,d,c,c,c,e, , , , , , , , , , , , , ,d,c,c,c,e, ,d,c,c,c,f,f, ,_,_,_, , , , ,b,g,g,g,g,g,b, , , ,Z,k,k,k,k,H,k,B,A,C,b,_, , , , , , ,i,_,_,z,k,k,k,k,k,k,k,k,k,k,k,z,_, , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , ,_, , , , , , , , , , , , , , , , , , ,E, , , , , , , , , , , , , , ],
		[_,_,_,_,_,_,_,_,_,_,_,_,g,k,i,k,k,k,g,_,_,_,d,c,c,c,e,_,_,d,c,c,c,e, , ,d,c,c,c,e, , , , , , , , , , , , , ,d,c,a,c,e, , , ,a, , , ,_,_,_,_,_, , , ,z,z,z,z,z,z,z, , ,_,Z,k,i,k,k,H,B,A,C,C,b, , , , , , , ,_,_,_,b,k,k,k,k,k,k,k,k,k,k,k,b,_,b,b,b,b,b,b,b,p, , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , ,_, , , , , , , , , , , , , , ],
		[_,_,_,_,_,_,_,_,_,_,_,_,g,b,b,b,b,b,b,_,_,d,c,c,a,c,c,e,d,c,c,a,c,c,e,d,c,c,a,c,c,e, , , , , , , , , , , , , , ,a, , , , , ,a, , , , , ,_, , , , , ,b,g,g,g,g,g,b, , ,b,b,k,k,k,k,H,A,C,C,C,b,_,_, , , , , , ,_,_,b,b,b,b,b,b,b,b,b,b,b,b,b,_,b,b,b,b,b,b,b,b,p,_, , , , , , , , , , , , , , ,y, , ,_,i, ,b, , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , ,_, , , , , , , , , , , , , , ],
		[_,_,_,_,_,_,_,_,_,_,_,_,g,j,k,j,k,j,b,_,_,d,c,c,a,c,c,e,d,c,c,a,c,c,e,d,c,c,a,c,c,e, , , , , , , , , ,q,b,b,k,b,b,b,b,b,b,b,b,b,s,u, , ,_, , , , , ,b,g,g,g,g,g,b, , , ,b,g,b,b,b,b,b,b,b,b,b, , , , , , , ,_,_,_,b,k,k,k,k,k,k,k,k,k,k,k,b,_,b,b,b,b,b,b,b,b,b,p,_, , , , , , , , , , , , , , , , , , , ,b, , , , , , , , , , , , , , ,_, , , , , , , , , , ,_, , , , , , , , , , , , , ,_,_, , , , , , , , , ],
		[_,_,_,_,_,_,_,_,_,_,_,_,g,k,k,k,k,k,b,_,_,_,_,_,a,_,_,_,_,_,_,a, , , , , , ,a, , , , , , , , , , , ,q,b,b,b,k,b,b,b,b,b,b,b,b,b,b,b,b,b,s,u, , , , ,b,b,b,b,b,b,b, , , ,Z,k,k,k,k,h,k,k,k,k,b, , , , , , , , ,_,_,z,k,k,k,k,k,k,k,k,k,k,k,z,_,b,b,b,b,b,b,b,b,b,b,s,w,w,w,w,w,w,w,t,W,W,W,s,w,w,w,w,w,w,t,b,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_],
		[_,_,_,_,_,_,_,_,_,_,_,_,g,k,k,k,i,k,b,_,_,_,_,_,a,_,_,_,_,_,_,a, , , , , , ,a, , , , , , , , , , ,q,b,b,b,b,k,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,s,u, , ,z,z,z,z,z,z,z, , ,_,Z,k,i,k,k,h,k,k,k,k,b, , , , , , , , ,_,_,z,k,k,k,k,k,k,k,k,k,k,k,z,_,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,o,o,o,b,b,b,b,b,b,b,b,b,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_],
		[_,_,_,_,_,_,_,_,_,_,_,_,g,b,b,b,b,b,b,_,_,_,_,_,a,_,_,_,_,_,_,a, , , , , , ,a, , , , , , , , , ,q,b,k,k,k,k,k,k,k,k,k,k,k,k,k,k,k,k,k,k,k,k,b,b,s,_,g,g,g,g,g,g,g, , ,b,b,k,k,k,k,h,k,k,k,k,z, , , , , , , , ,_,_,z,k,k,k,k,k,k,k,k,k,k,k,z,_,o,o,o,o,o,o,o,o,o,o,o,o,o,o,o,o,o,o,o,o,o,b,b,b,b,b,b,b,b,b,b,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_],
		[b,b,b,b,s,u, ,_,_,_,_,_,g,j,k,j,k,j,g,_,_,_,_,v,a,_,_,_,_,_,_,a,_,_,_,_,_,_,a,_,r,u, , , , , ,q,b,b,k,k,k,k,k,k,k,k,k,k,k,i,k,k,k,k,k,k,i,k,b,b,b,_,b,b,b,b,b,b,b, , , ,b,b,b,b,b,b,g,g,g,g,z,_,h,h,h,h,h,h,h,h,h,b,k,k,k,k,k,k,k,k,k,k,k,b,_,o,o,o,o,o,o,o,o,o,o,o,o,o,o,o,o,o,o,o,o,b,b,b,b,b,b,b,b,b,b,b,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_],
		[b,b,b,b,b,b,b,b,s,u,_,_,g,k,k,k,k,k,g,_,_,v,t,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,s,u, , ,q,b,b,b,k,k,k,k,k,k,k,k,k,k,k,k,k,k,k,k,k,k,k,k,b,b,b,_,b,g,g,g,g,g,b, ,_,_,z,k,k,k,k,k,k,B,A,C,b,b, , , , , , , ,_,_,b,b,b,b,b,b,b,b,b,b,b,b,b,_,b,b,b,b,b,b,b,b,b,o,o,o,o,o,o,o,o,o,o,b,b,b,b,b,b,b,b,b,b,b,b,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w,w],
		[b,b,b,b,b,b,b,b,b,b,s,u,g,k,k,k,k,k,g,v,t,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,k,k,k,k,k,k,k,k,k,k,k,k,k,k,k,k,k,k,k,k,b,b,b,_,z,z,z,z,z,z,z,_,_,_,z,k,k,k,k,k,B,A,C,C,b,_, , , , , ,_,_,_,_,b,k,k,D,k,k,k,k,k,k,k,k,b,_,b,b,b,b,b,b,b,b,b,o,o,o,o,o,o,o,o,o,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b],
		[b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,k,b,b,k,b,k,b,b,k,k,k,b,b,k,b,b,k,b,b,k,b,b,b,_,b,g,g,g,g,g,b,_,_,b,b,D,D,D,D,D,A,C,C,C,b,_,_,_,_,_,_,_,_,_,_,Z,k,k,D,D,k,k,k,k,k,k,k,Z,_,b,g,b,g,b,g,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b]
	];
}


var stage = new PCDSLStageClass(stgInfo, tbl);


stage.runStage = function(){
    PCDSLStageClass.prototype.runStage.apply(this, []);
    
	
    //はしご
    
        var out = new SlopeBlockClass(stage,['shitugaiki.png',20,20]);
	out.origin.x = 2370;
	out.origin.y = 330;
	stage.addStageObject(out);

	var out1 = new SlopeBlockClass(stage,['shitugaiki.png',20,20]);
	out1.origin.x = 2370;
	out1.origin.y = 200;
	stage.addStageObject(out1);
   
    for(var i = 0; i < 12; i++){
    	var o = new LadderBlockClass(stage, ['metalladder.png']);
    	o.origin.x = 384;
    	o.origin.y = 416 - (i * 32);
    	stage.addStageObject(o);
    }
    //道路
    for(var i = 0; i < 16; i++){
    	var o = new SlopeBlockClass(stage, ['road.png',18,18]);
    	o.origin.x = 768 + (i * 32);
    	o.origin.y = 352;
    	stage.addStageObject(o);
    }
    //はしご
    for(var i = 0; i < 7; i++){
    	var o = new LadderBlockClass(stage, ['metalladder.png']);
    	o.origin.x = 1728;
    	o.origin.y = 224 + (i * 32);
    	stage.addStageObject(o);
    }	
    	
    for(var i = 0; i < 7; i++){
    	var o = new LadderBlockClass(stage, ['metalladder.png']);
    	o.origin.x = 2720;
    	o.origin.y = 128 + (i * 32);
    	o.forceTopMost = true;
    	stage.addStageObject(o);
    }    
var leaf = new BlockClass(stage,['1214.png']);
leaf.origin.x = 2176;
leaf.origin.y = 250;
leaf.collisionMargin.top = 32;
stage.addStageObject(leaf);

var out = new SlopeBlockClass(stage,['shitugaiki.png',20,20]);
out.origin.x = 2370;
out.forceTopMost= true;
out.origin.y = 330;
stage.addStageObject(out);

var out1 = new SlopeBlockClass(stage,['shitugaiki.png',20,20]);
out1.origin.x = 2370;
out1.origin.y = 200;
out1.forceTopMost= true;
stage.addStageObject(out1);

var out2 = new SlopeBlockClass(stage,['shitugaiki.png',20,20]);
out2.origin.x = 2400;
out2.origin.y = 65;
out2.forceTopMost= true;
stage.addStageObject(out2);

var out3 = new SlopeBlockClass(stage,['shitugaiki.png',20,20]);
out3.origin.x = 2428;
out3.origin.y = 65;
out3.forceTopMost= true;
stage.addStageObject(out3);

var out4 = new SlopeBlockClass(stage,['shitugaiki.png',20,20]);
out4.origin.x = 2528;
out4.origin.y = 65;
out4.forceTopMost= true;
stage.addStageObject(out4);

var i1 = new SlopeBlockClass(stage,['1138.png',600,600]);
i1.origin.x = 2944;
i1.origin.y = 384;

stage.addStageObject(i1);

var i2 = new SlopeBlockClass(stage,['1138.png',600,600]);
i2.origin.x = 2912;
i2.origin.y = 384;

stage.addStageObject(i2);

var i3 = new SlopeBlockClass(stage,['1138.png',600,600]);
i3.origin.x = 2912;
i3.origin.y = 416;

stage.addStageObject(i3);

var i3 = new SlopeBlockClass(stage,['1138.png',600,600]);
i3.origin.x = 2880;
i3.origin.y = 416;

stage.addStageObject(i3);

var i4 = new SlopeBlockClass(stage,['1138.png',600,600]);
i4.origin.x = 2880;
i4.origin.y = 448;

stage.addStageObject(i4);

var i5 = new SlopeBlockClass(stage,['1138.png',600,600]);
i5.origin.x = 2848;
i5.origin.y = 320;


stage.addStageObject(i5);

var i6 = new SlopeBlockClass(stage,['1138.png',600,600]);
i6.origin.x = 2848;
i6.origin.y = 288;


stage.addStageObject(i6);

var i7 = new SlopeBlockClass(stage,['1138.png',600,600]);
i7.origin.x = 2848;
i7.origin.y = 256;


stage.addStageObject(i7);

var i9 = new SlopeBlockClass(stage,['1138.png',600,600]);
i9.origin.x = 2848;
i9.origin.y = 192;



stage.addStageObject(i9);

var i10 = new SlopeBlockClass(stage,['1138.png',600,600]);
i10.origin.x = 2848;
i10.origin.y = 128;



stage.addStageObject(i10);

var i11 = new SlopeBlockClass(stage,['1138.png',600,600]);
i11.origin.x = 2848;
i11.origin.y = 160;

stage.addStageObject(i11);

var i12 = new SlopeBlockClass(stage,['1138.png',600,600]);
i12.origin.x = 2880;
i12.origin.y = 192;

stage.addStageObject(i12);

var i13 = new SlopeBlockClass(stage,['1138.png',600,600]);
i13.origin.x = 2880;
i13.origin.y = 160;

stage.addStageObject(i13);

var i14 = new SlopeBlockClass(stage,['1138.png',600,600]);
i14.origin.x = 2912;
i14.origin.y = 160;

stage.addStageObject(i14);

var i14 = new SlopeBlockClass(stage,['1138.png',600,600]);
i14.origin.x = 2912;
i14.origin.y = 128;

stage.addStageObject(i14);

var i15 = new SlopeBlockClass(stage,['1138.png',600,600]);
i15.origin.x = 2944;
i15.origin.y = 128;

stage.addStageObject(i15);

var ka1 = new BlockClass(stage,['kanban.png']);
ka1.collisionMargin.top=10;
ka1.collisionMargin.right= 20;
ka1.origin.x = 3040;
ka1.origin.y = 128;
ka1.size.x= 70;
ka1.size.y = 140;
stage.addStageObject(ka1);

var ka2 = new BlockClass(stage,['kanban2.png']);
ka2.collisionMargin.top=10;
ka2.collisionMargin.left= 40;
ka2.collisionMargin.bottom= 80;
ka2.origin.x = 3290;
ka2.origin.y = 210;
ka2.size.x= 70;
ka2.size.y = 140;
stage.addStageObject(ka2);

  var warpRight = new WarpItemClass(stage, ["panya", 60, 0, 32, 480, false]);
	warpRight.origin.x = 6368;
	warpRight.origin.y = 0;
	stage.addStageObject(warpRight);
	var warpLeft = new WarpItemClass(stage, ["panya", 60, 0, 32, 480, false]);
	warpLeft.origin.x = -32;
	warpLeft.origin.y = 0;
	stage.addStageObject(warpLeft);

















},

stage;